Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA:

[legend]
Collaboration diagram for PortableServer::POA:

[legend]
List of all members.

## Public Types
typedef POA_ptr | _ptr_type
typedef POA_var | _var_type
## Public Methods
POA | create_POA (in string adapter_name, in POAManager a_POAManager, in CORBA::PolicyList policies) raises (AdapterAlreadyExists, InvalidPolicy)
POA | find_POA (in string adapter_name, in boolean activate_it) raises (AdapterNonExistent)
void | destroy (in boolean etherealize_objects, in boolean wait_for_completion)
ThreadPolicy | create_thread_policy (in ThreadPolicyValue value)
LifespanPolicy | create_lifespan_policy (in LifespanPolicyValue value)
IdUniquenessPolicy | create_id_uniqueness_policy (in IdUniquenessPolicyValue value)
IdAssignmentPolicy | create_id_assignment_policy (in IdAssignmentPolicyValue value)
ImplicitActivationPolicy | create_implicit_activation_policy (in ImplicitActivationPolicyValue value)
ServantRetentionPolicy | create_servant_retention_policy (in ServantRetentionPolicyValue value)
RequestProcessingPolicy | create_request_processing_policy (in RequestProcessingPolicyValue value)
ServantManager | get_servant_manager () raises (WrongPolicy)
void | set_servant_manager (in ServantManager imgr) raises (WrongPolicy)
Servant | get_servant () raises (NoServant, WrongPolicy)
void | set_servant (in Servant p_servant) raises (WrongPolicy)
ObjectId | activate_object (in Servant p_servant) raises (ServantAlreadyActive, WrongPolicy)
void | activate_object_with_id (in ObjectId id, in Servant p_servant) raises (ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy)
void | deactivate_object (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
Object | create_reference (in CORBA::RepositoryId intf) raises (WrongPolicy)
Object | create_reference_with_id (in ObjectId oid, in CORBA::RepositoryId intf) raises (WrongPolicy)
ObjectId | servant_to_id (in Servant p_servant) raises (ServantNotActive, WrongPolicy)
Object | servant_to_reference (in Servant p_servant) raises (ServantNotActive, WrongPolicy)
Servant | reference_to_servant (in Object reference) raises (ObjectNotActive, WrongAdapter, WrongPolicy)
ObjectId | reference_to_id (in Object reference) raises (WrongAdapter, WrongPolicy)
Servant | id_to_servant (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
Object | id_to_reference (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
ObjectId | create_id_for_reference (in Object the_ref) raises (NotAGroupObject)
IDs | reference_to_ids (in Object the_ref) raises (NotAGroupObject)
void | associate_reference_with_id (in Object ref, in ObjectId oid) raises (NotAGroupObject)
void | disassociate_reference_with_id (in Object ref, in ObjectId oid) raises (NotAGroupObject)
virtual TAO_POA * | _tao_poa_downcast (void)
virtual::PortableServer::POA_ptr | create_POA (const char *adapter_name, PortableServer::POAManager_ptr a_POAManager, const CORBA::PolicyList &policies ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::AdapterAlreadyExists , PortableServer::POA::InvalidPolicy )
virtual::PortableServer::POA_ptr | find_POA (const char *adapter_name, CORBA::Boolean activate_it ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::AdapterNonExistent )
virtual void | destroy (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ThreadPolicy_ptr | create_thread_policy (PortableServer::ThreadPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::LifespanPolicy_ptr | create_lifespan_policy (PortableServer::LifespanPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (PortableServer::IdUniquenessPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (PortableServer::IdAssignmentPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (PortableServer::ImplicitActivationPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (PortableServer::ServantRetentionPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (PortableServer::RequestProcessingPolicyValue value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | the_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::POA_ptr | the_parent (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::POAList * | the_children (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::POAManager_ptr | the_POAManager (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::AdapterActivator_ptr | the_activator (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | the_activator (PortableServer::AdapterActivator_ptr the_activator ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ServantManager_ptr | get_servant_manager (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual void | set_servant_manager (PortableServer::ServantManager_ptr imgr ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual::PortableServer::Servant | get_servant (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::NoServant , PortableServer::POA::WrongPolicy )
virtual void | set_servant (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual::PortableServer::ObjectId * | activate_object (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::WrongPolicy )
virtual void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::ObjectAlreadyActive , PortableServer::POA::WrongPolicy )
virtual void | deactivate_object (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference (const char *intf ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )
virtual::PortableServer::ObjectId * | servant_to_id (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | servant_to_reference (PortableServer::Servant p_servant ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )
virtual::PortableServer::Servant | reference_to_servant (CORBA::Object_ptr reference ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )
virtual::PortableServer::ObjectId * | reference_to_id (CORBA::Object_ptr reference ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )
virtual::PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )
virtual::CORBA::OctetSeq * | id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableServer::ObjectId * | create_id_for_reference (CORBA::Object_ptr the_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual::PortableServer::IDs * | reference_to_ids (CORBA::Object_ptr the_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual void | associate_reference_with_id (CORBA::Object_ptr ref, const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual void | disassociate_reference_with_id (CORBA::Object_ptr ref, const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::NotAGroupObject )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
POA_ptr | _duplicate (POA_ptr obj)
POA_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
POA_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
POA_ptr | _nil (void)
## Public Attributes
readonly attribute string | the_name
readonly attribute POA | the_parent
readonly attribute POAList | the_children
readonly attribute POAManager | the_POAManager
attribute AdapterActivator | the_activator
readonly attribute CORBA::OctetSeq | id
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| POA (void)
virtual | ~POA (void)
## Private Methods
| POA (const POA &)
void | operator= (const POA &)

## Member Typedef Documentation

typedef POA_ptr PortableServer::POA::_ptr_type

| Reimplemented from CORBA_Object.

typedef POA_var PortableServer::POA::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

PortableServer::POA::POA | ( | void |  | ) | `[protected]`

virtual PortableServer::POA::~POA | ( | void |  | ) | `[protected, virtual]`

PortableServer::POA::POA | ( | const POA & |  | ) | `[private]`

## Member Function Documentation

POA_ptr PortableServer::POA::_duplicate | ( | POA_ptr | obj | ) | `[static]`

virtual const char* PortableServer::POA::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

POA_ptr PortableServer::POA::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

POA_ptr PortableServer::POA::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object.

virtual TAO_POA* PortableServer::POA::_tao_poa_downcast | ( | void |  | ) | `[inline, virtual]`

| Reimplemented in TAO_POA.

virtual void* PortableServer::POA::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

POA_ptr PortableServer::POA::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual ::PortableServer::ObjectId* PortableServer::POA::activate_object | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

ObjectId PortableServer::POA::activate_object | ( | in Servant | p_servant | ) | raises (ServantAlreadyActive, WrongPolicy)

virtual void PortableServer::POA::activate_object_with_id | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::POA::ServantAlreadyActive , PortableServer::POA::ObjectAlreadyActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

void PortableServer::POA::activate_object_with_id | ( | in ObjectId | id,
|  | in Servant | p_servant
| ) | raises (ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy)

virtual void PortableServer::POA::associate_reference_with_id | ( | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Reimplemented in TAO_POA.

void PortableServer::POA::associate_reference_with_id | ( | in Object | ref,
|  | in ObjectId | oid
| ) | raises (NotAGroupObject)

virtual ::PortableServer::IdAssignmentPolicy_ptr PortableServer::POA::create_id_assignment_policy | ( | PortableServer::IdAssignmentPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

IdAssignmentPolicy PortableServer::POA::create_id_assignment_policy | ( | in IdAssignmentPolicyValue | value | ) |

virtual ::PortableServer::ObjectId* PortableServer::POA::create_id_for_reference | ( | CORBA::Object_ptr the_ref | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Reimplemented in TAO_POA.

ObjectId PortableServer::POA::create_id_for_reference | ( | in Object | the_ref | ) | raises (NotAGroupObject)

virtual ::PortableServer::IdUniquenessPolicy_ptr PortableServer::POA::create_id_uniqueness_policy | ( | PortableServer::IdUniquenessPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

IdUniquenessPolicy PortableServer::POA::create_id_uniqueness_policy | ( | in IdUniquenessPolicyValue | value | ) |

virtual ::PortableServer::ImplicitActivationPolicy_ptr PortableServer::POA::create_implicit_activation_policy | ( | PortableServer::ImplicitActivationPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

ImplicitActivationPolicy PortableServer::POA::create_implicit_activation_policy | ( | in ImplicitActivationPolicyValue | value | ) |

virtual ::PortableServer::LifespanPolicy_ptr PortableServer::POA::create_lifespan_policy | ( | PortableServer::LifespanPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

LifespanPolicy PortableServer::POA::create_lifespan_policy | ( | in LifespanPolicyValue | value | ) |

virtual ::PortableServer::POA_ptr PortableServer::POA::create_POA | ( | const char * | adapter_name,
|  | PortableServer::POAManager_ptr | poa_manager,
|  | const CORBA::PolicyList &policies | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , PortableServer::POA::AdapterAlreadyExists , PortableServer::POA::InvalidPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

POA PortableServer::POA::create_POA | ( | in string | adapter_name,
|  | in POAManager | a_POAManager,
|  | in CORBA::PolicyList | policies
| ) | raises (AdapterAlreadyExists, InvalidPolicy)

virtual CORBA::Object_ptr PortableServer::POA::create_reference | ( | const char *intf | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Object PortableServer::POA::create_reference | ( | in CORBA::RepositoryId | intf | ) | raises (WrongPolicy)

virtual CORBA::Object_ptr PortableServer::POA::create_reference_with_id | ( | const PortableServer::ObjectId & | id,
|  | const char *intf | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Object PortableServer::POA::create_reference_with_id | ( | in ObjectId | oid,
|  | in CORBA::RepositoryId | intf
| ) | raises (WrongPolicy)

virtual ::PortableServer::RequestProcessingPolicy_ptr PortableServer::POA::create_request_processing_policy | ( | PortableServer::RequestProcessingPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

RequestProcessingPolicy PortableServer::POA::create_request_processing_policy | ( | in RequestProcessingPolicyValue | value | ) |

virtual ::PortableServer::ServantRetentionPolicy_ptr PortableServer::POA::create_servant_retention_policy | ( | PortableServer::ServantRetentionPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

ServantRetentionPolicy PortableServer::POA::create_servant_retention_policy | ( | in ServantRetentionPolicyValue | value | ) |

virtual ::PortableServer::ThreadPolicy_ptr PortableServer::POA::create_thread_policy | ( | PortableServer::ThreadPolicyValue value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

ThreadPolicy PortableServer::POA::create_thread_policy | ( | in ThreadPolicyValue | value | ) |

virtual void PortableServer::POA::deactivate_object | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

void PortableServer::POA::deactivate_object | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

virtual void PortableServer::POA::destroy | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

void PortableServer::POA::destroy | ( | in boolean | etherealize_objects,
|  | in boolean | wait_for_completion
| ) |

virtual void PortableServer::POA::disassociate_reference_with_id | ( | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Reimplemented in TAO_POA.

void PortableServer::POA::disassociate_reference_with_id | ( | in Object | ref,
|  | in ObjectId | oid
| ) | raises (NotAGroupObject)

virtual ::PortableServer::POA_ptr PortableServer::POA::find_POA | ( | const char * | adapter_name,
|  | CORBA::Boolean activate_it | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , PortableServer::POA::AdapterNonExistent )`[pure virtual]`

| Reimplemented in TAO_POA.

POA PortableServer::POA::find_POA | ( | in string | adapter_name,
|  | in boolean | activate_it
| ) | raises (AdapterNonExistent)

virtual ::PortableServer::Servant PortableServer::POA::get_servant | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::POA::NoServant , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Servant PortableServer::POA::get_servant | ( |  | ) | raises (NoServant, WrongPolicy)

virtual ::PortableServer::ServantManager_ptr PortableServer::POA::get_servant_manager | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

ServantManager PortableServer::POA::get_servant_manager | ( |  | ) | raises (WrongPolicy)

virtual ::CORBA::OctetSeq* PortableServer::POA::id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

virtual CORBA::Object_ptr PortableServer::POA::id_to_reference | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Object PortableServer::POA::id_to_reference | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

virtual ::PortableServer::Servant PortableServer::POA::id_to_servant | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Servant PortableServer::POA::id_to_servant | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

void PortableServer::POA::operator= | ( | const POA & |  | ) | `[private]`

virtual ::PortableServer::ObjectId* PortableServer::POA::reference_to_id | ( | CORBA::Object_ptr reference | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

ObjectId PortableServer::POA::reference_to_id | ( | in Object | reference | ) | raises (WrongAdapter, WrongPolicy)

virtual ::PortableServer::IDs* PortableServer::POA::reference_to_ids | ( | CORBA::Object_ptr the_ref | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::NotAGroupObject )`[pure virtual]`

| Reimplemented in TAO_POA.

IDs PortableServer::POA::reference_to_ids | ( | in Object | the_ref | ) | raises (NotAGroupObject)

virtual ::PortableServer::Servant PortableServer::POA::reference_to_servant | ( | CORBA::Object_ptr reference | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::ObjectNotActive , PortableServer::POA::WrongAdapter , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Servant PortableServer::POA::reference_to_servant | ( | in Object | reference | ) | raises (ObjectNotActive, WrongAdapter, WrongPolicy)

virtual ::PortableServer::ObjectId* PortableServer::POA::servant_to_id | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

ObjectId PortableServer::POA::servant_to_id | ( | in Servant | p_servant | ) | raises (ServantNotActive, WrongPolicy)

virtual CORBA::Object_ptr PortableServer::POA::servant_to_reference | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::ServantNotActive , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

Object PortableServer::POA::servant_to_reference | ( | in Servant | p_servant | ) | raises (ServantNotActive, WrongPolicy)

virtual void PortableServer::POA::set_servant | ( | PortableServer::Servant p_servant | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

void PortableServer::POA::set_servant | ( | in Servant | p_servant | ) | raises (WrongPolicy)

virtual void PortableServer::POA::set_servant_manager | ( | PortableServer::ServantManager_ptr imgr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_POA.

void PortableServer::POA::set_servant_manager | ( | in ServantManager | imgr | ) | raises (WrongPolicy)

virtual void PortableServer::POA::the_activator | ( | PortableServer::AdapterActivator_ptr the_activator | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableServer::AdapterActivator_ptr PortableServer::POA::the_activator | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

virtual ::PortableServer::POAList* PortableServer::POA::the_children | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

virtual char* PortableServer::POA::the_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

virtual ::PortableServer::POA_ptr PortableServer::POA::the_parent | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

virtual ::PortableServer::POAManager_ptr PortableServer::POA::the_POAManager | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_POA.

## Member Data Documentation

int PortableServer::POA::_tao_class_id`[static]`

| Reimplemented from CORBA_Object.

readonly attribute CORBA::OctetSeq PortableServer::POA::id

attribute AdapterActivator PortableServer::POA::the_activator

readonly attribute POAList PortableServer::POA::the_children

readonly attribute string PortableServer::POA::the_name

readonly attribute POA PortableServer::POA::the_parent

readonly attribute POAManager PortableServer::POA::the_POAManager

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h